<?php
/*
Version: 1.1
Plugin Name: Psli-BingMaps
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=603
Author: psli 
Description: Extension to piwigo for use of bing maps to navigate in geolocalized album

-----------------------------------------------------------------------------------------
1.1		2012-05-08	Ajout de l'internationalisation et de l'anglais
-----------------------------------------------------------------------------------------
1.0		2012-05-07	Verison initiale
-----------------------------------------------------------------------------------------
*/
// Chech whether we are indeed included by Piwigo.
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

// define Path for PHP and JS file
define ('PSLI_BINGMAPS_PATH', PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)) . '/');
define ('PSLI_BINGMAPS_JS', PSLI_BINGMAPS_PATH.'JS/Psli-BingMaps.js');
define ('PSLI_BINGMAPS_VERSION_INC_PHP', PSLI_BINGMAPS_PATH.'include/version.inc.php');
define ('PSLI_BINGMAPS_ADMIN_INC_PHP', PSLI_BINGMAPS_PATH.'include/admin.inc.php');
define ('PSLI_BINGMAPS_GUEST_INC_PHP', PSLI_BINGMAPS_PATH.'include/guest.inc.php');
define ('PSLI_BINGMAPS_ADMIN_PHP', PSLI_BINGMAPS_PATH.'include/admin.php');

// define Path for template file
define('PSLI_BINGMAPS_TEMPLATE_PATH', dirname(__FILE__).'/');
define ('PSLI_BINGMAPS_ADMIN_TPL', PSLI_BINGMAPS_TEMPLATE_PATH.'template/admin.tpl');

// Include define data
include_once(dirname(__FILE__).'/include/const.inc.php');

// Check plugin update
include_once(PSLI_BINGMAPS_VERSION_INC_PHP);

// Plugin for admin
if (script_basename() == 'admin')   
{
  include_once(PSLI_BINGMAPS_ADMIN_INC_PHP);
}
else
{
  include_once(PSLI_BINGMAPS_GUEST_INC_PHP);
}

?>