<?php
/*
Version: 1.1
Plugin Name: Psli-BingMaps
Author: psli 
Description: Maintenance function for plugin "Psli-BingMaps"
*/

$query = '
	SELECT value
		FROM '.CONFIG_TABLE.'
		WHERE param = "'.PSLI_CONF_VERSION_MAJ.'";';
$result = pwg_query($query);
$row = pwg_db_fetch_assoc($result);
$version_maj = $row['value'];

$query = '
	SELECT value
		FROM '.CONFIG_TABLE.'
		WHERE param = "'.PSLI_CONF_VERSION_MIN.'";';
$result = pwg_query($query);
$row = pwg_db_fetch_assoc($result);
$version_min = $row['value'];

// from version 1.0
if (($version_maj == "1") and ($version_min == "0"))
{
	// No differences between 1.0 and 1.1 except localization
	// Just update version in configuration
	$query = '
		UPDATE '.CONFIG_TABLE.'
			SET value = "' . PSLI_VERSION_MAJ . '"
			WHERE param = "'.PSLI_CONF_VERSION_MAJ.'"
			LIMIT 1';
	pwg_query($query);
	$query = '
		UPDATE '.CONFIG_TABLE.'
			SET value = "' . PSLI_VERSION_MIN . '"
			WHERE param = "'.PSLI_CONF_VERSION_MIN.'"
			LIMIT 1';
	pwg_query($query);
	$version_maj = "1";
	$version_min = "1";
}

// from version 1.1
if (($version_maj == "1") and ($version_min == "1"))
{
	// No differences between 1.1 and 1.2 except localization
	// Just update version in configuration
	$query = '
		UPDATE '.CONFIG_TABLE.'
			SET value = "' . PSLI_VERSION_MAJ . '"
			WHERE param = "'.PSLI_CONF_VERSION_MAJ.'"
			LIMIT 1';
	pwg_query($query);
	$query = '
		UPDATE '.CONFIG_TABLE.'
			SET value = "' . PSLI_VERSION_MIN . '"
			WHERE param = "'.PSLI_CONF_VERSION_MIN.'"
			LIMIT 2';
	pwg_query($query);
	$version_maj = PSLI_VERSION_MAJ;
	$version_min = PSLI_VERSION_MIN;
}
?>